Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.datatype
Interface DataTypeValue

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  PropertyInstance

All Known Implementing Classes:
  PropertyInstanceHolder

    public interface DataTypeValue

extends Serializable

Represents a value of some data type that can be edited as a field in UI editor using a String representation.

Field Summary
`static String` | `VALUE_PROPERTY_NAME`

Method Summary
`DataType` | `getDataType()` Get the data type that defines the values this data type value can hold.
`DataTypeSerializedValue` | `getSerializedValue()`
`Object` | `getValue()` Get the object value set for this data type value, or null if none has been set.
`String` | `getValueAsString()` Get the value for this data type as a String, or null if none has been set.
`boolean` | `isValueSet()` Returns true if getValue() or getSerializedValue() return non-null.
`void` | `setSerializedValue(DataTypeSerializedValue serVal)`
`void` | `setValue(Object value)` Set the value of this data type value.
`void` | `setValueAsString(String value)` Set the value for this data type value as a String.
`void` | `unsetValue()` Clear any value set into this property instance.
`void` | `validate()`

Field Detail

### VALUE_PROPERTY_NAME

    static final String VALUE_PROPERTY_NAME

See Also:
  Constant Field Values

Method Detail

### getDataType

    DataType getDataType()

  Get the data type that defines the values this data type value can hold.

  Returns:

### getValue

    Object getValue()
                    throws DataTypeException

  Get the object value set for this data type value, or null if none has been set.

  Returns:
    The object value set for this data type value, or null if none has been set.
  Throws:
    `DataTypeException`
  See Also:
    `isValueSet()`

### setValue

    void setValue(Object value)
                  throws DataTypeException

  Set the value of this data type value. This method will verify that the type of the object matches the data type for this data type value.

  Parameters:
    `value` - Object value for this data type value. If value is null, this call has the same effect as calling unsetValue().
  Throws:
    `DataTypeException` - If the provided object value is of the wrong type for the data type value.

### getValueAsString

    String getValueAsString()
                            throws DataTypeException

  Get the value for this data type as a String, or null if none has been set.

  Throws:
    `DataTypeException`
  See Also:
    `isValueSet()`

### setValueAsString

    void setValueAsString(String value)
                          throws DataTypeException

  Set the value for this data type value as a String. This will require the value to be deserialized when it is accessed via any of the other value 'get' methods.

  Parameters:
    `value` - Value in the default value String form required by the data type associated with this DataTypeValue instance.
  Throws:
    `DataTypeException`

### getSerializedValue

    DataTypeSerializedValue getSerializedValue()
                                               throws DataTypeException

  Throws:
    `DataTypeException`

### setSerializedValue

    void setSerializedValue(DataTypeSerializedValue serVal)
                            throws DataTypeException

  Throws:
    `DataTypeException`

### isValueSet

    boolean isValueSet()

  Returns true if getValue() or getSerializedValue() return non-null.

### unsetValue

    void unsetValue()

  Clear any value set into this property instance. After this call, the isValueSet() method will return false.

### validate

    void validate()
                  throws DataTypeException

  Throws:
    `DataTypeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD